Web lists-archives.com

Is it appropriate to file this as a bug against php7.0-common?




Subject: php7.0-common missing dependency? Fatal error unimplemented \x06::__tostring
Message-ID: <151802980199.14908.639076941027288345.reportbug@msidebi>
X-Mailer: reportbug 7.1.7
Date: Wed, 07 Feb 2018 19:56:41 +0100

Package: php7.0-common
Version: 7.0.27-1
Severity: normal

Dear Maintainer,

*** Reporter, please consider answering these questions, where appropriate ***

   * What led up to the situation?
With a minimal installation of debian, I'm  running a nextcloud server.
   * What exactly did you do (or not do) that was effective (or
     ineffective)?
I try to add a new user, which fails

   * What was the outcome of this action?

I see the following error in the apache error.log:

[Wed Feb 07 19:43:08.246413 2018] [:error] [pid 14876] [client 192.168.178.20:46444] PHP Fatal error:  Couldn't find implementation for method \x06::__tostring in Unknown on line 0

   * What outcome did you expect instead?
I would expect php to run without error and a user being created. I guess there is a library missing. I was not able to identify the library providing a \x06::__tostring method

*** End of the template - remove these template lines ***


-- Package-specific info:
==== Additional PHP 7.0 information ====

++++ PHP @PHP_VERSION SAPI (php7.0query -S): ++++

++++ PHP 7.0 Extensions (php7.0query -M -v): ++++

++++ Configuration files: ++++
**** /etc/php/7.0/mods-available/calendar.ini ****
extension=calendar.so

**** /etc/php/7.0/mods-available/ctype.ini ****
extension=ctype.so

**** /etc/php/7.0/mods-available/exif.ini ****
extension=exif.so

**** /etc/php/7.0/mods-available/fileinfo.ini ****
extension=fileinfo.so

**** /etc/php/7.0/mods-available/ftp.ini ****
extension=ftp.so

**** /etc/php/7.0/mods-available/gettext.ini ****
extension=gettext.so

**** /etc/php/7.0/mods-available/iconv.ini ****
extension=iconv.so

**** /etc/php/7.0/mods-available/pdo.ini ****
extension=pdo.so

**** /etc/php/7.0/mods-available/phar.ini ****
extension=phar.so

**** /etc/php/7.0/mods-available/posix.ini ****
extension=posix.so

**** /etc/php/7.0/mods-available/shmop.ini ****
extension=shmop.so

**** /etc/php/7.0/mods-available/sockets.ini ****
extension=sockets.so

**** /etc/php/7.0/mods-available/sysvmsg.ini ****
extension=sysvmsg.so

**** /etc/php/7.0/mods-available/sysvsem.ini ****
extension=sysvsem.so

**** /etc/php/7.0/mods-available/sysvshm.ini ****
extension=sysvshm.so

**** /etc/php/7.0/mods-available/tokenizer.ini ****
extension=tokenizer.so


-- System Information:
Debian Release: 9.3
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 4.9.0-5-686-pae (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8), LANGUAGE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages php7.0-common depends on:
ii  libc6       2.24-11+deb9u1
ii  libssl1.1   1.1.0f-3+deb9u1
ii  php-common  1:49
ii  ucf         3.0036

php7.0-common recommends no packages.

php7.0-common suggests no packages.

Versions of packages php7.0-cli depends on:
ii  libc6            2.24-11+deb9u1
ii  libedit2         3.1-20160903-3
ii  libmagic1        1:5.30-1+deb9u1
ii  libpcre3         2:8.39-3
ii  libssl1.1        1.1.0f-3+deb9u1
ii  libxml2          2.9.4+dfsg1-2.2+deb9u2
ii  mime-support     3.60
ii  php7.0-json      7.0.27-1
ii  php7.0-opcache   7.0.27-1
ii  php7.0-readline  7.0.27-1
ii  tzdata           2017c-0+deb9u1
ii  ucf              3.0036
ii  zlib1g           1:1.2.8.dfsg-5

Versions of packages php7.0-cli suggests:
pn  php-pear  <none>

Versions of packages libapache2-mod-php7.0 depends on:
ii  apache2-bin [apache2-api-20120211]  2.4.25-3+deb9u3
ii  libc6                               2.24-11+deb9u1
ii  libmagic1                           1:5.30-1+deb9u1
ii  libpcre3                            2:8.39-3
ii  libssl1.1                           1.1.0f-3+deb9u1
ii  libxml2                             2.9.4+dfsg1-2.2+deb9u2
ii  mime-support                        3.60
ii  php7.0-cli                          7.0.27-1
ii  php7.0-json                         7.0.27-1
ii  php7.0-opcache                      7.0.27-1
ii  tzdata                              2017c-0+deb9u1
ii  ucf                                 3.0036
ii  zlib1g                              1:1.2.8.dfsg-5

Versions of packages libapache2-mod-php7.0 recommends:
ii  apache2  2.4.25-3+deb9u3

Versions of packages libapache2-mod-php7.0 suggests:
pn  php-pear  <none>

-- no debconf information

As a side question: Why did my bug-report not make it to the bug tracking system?

Greetings,
Thanks
Dominik